- [HTTP request](https://developers.google.com/display-video/api/reference/rest/v4/advertisers.adGroupAds/get#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/display-video/api/reference/rest/v4/advertisers.adGroupAds/get#body.PATH_PARAMETERS)
- [Request body](https://developers.google.com/display-video/api/reference/rest/v4/advertisers.adGroupAds/get#body.request_body)
- [Response body](https://developers.google.com/display-video/api/reference/rest/v4/advertisers.adGroupAds/get#body.response_body)
- [Authorization scopes](https://developers.google.com/display-video/api/reference/rest/v4/advertisers.adGroupAds/get#body.aspect)
- [Try it!](https://developers.google.com/display-video/api/reference/rest/v4/advertisers.adGroupAds/get#try-it)

Gets an ad group ad.

### HTTP request

`GET https://displayvideo.googleapis.com/v4/advertisers/{advertiserId}/adGroupAds/{adGroupAdId}`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `advertiserId` | `string (https://developers.google.com/discovery/v1/type-format format)` Required. The ID of the advertiser this ad group ad belongs to. |
| `adGroupAdId` | `string (https://developers.google.com/discovery/v1/type-format format)` Required. The ID of the ad to fetch. |

### Request body

The request body must be empty.

### Response body

If successful, the response body contains an instance of `https://developers.google.com/display-video/api/reference/rest/v4/advertisers.adGroupAds#AdGroupAd`.

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/display-video`

For more information, see the [OAuth 2.0 Overview](https://developers.google.com/identity/protocols/OAuth2).